Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Alarm Operations

UpdateActiveAlarmTemplate

UpdateActiveAlarmTemplate

PUT/zstack/v1/zwatch/activealarms/templates/{uuid}/actions

Operation ID

UpdateActiveAlarmTemplate

Since

4.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The template UUID.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Body Fields

  • alarmName
    String

    Optional. The template name.

  • comparisonOperator
    String

    Optional. The threshold comparison operator.

  • period
    Integer

    Optional. The threshold comparison operator.

  • threshold
    Double

    Optional. The threshold.

  • repeatInterval
    Integer

    Optional. The alarm repeat interval.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventory
    ActiveAlarmTemplateInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • alarmName
      StringRequired

      The alarm name.

    • period
      intRequired

      The period.

    • repeatInterval
      intRequired

      The repeat interval.

    • repeatCount
      intRequired

      The number of repeat.

    • namespace
      StringRequired

      The namespace.

    • metricName
      StringRequired

      The metric name.

    • threshold
      doubleRequired

      The threshold.

    • labels
      StringRequired

      The labels.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • comparisonOperator
      ComparisonOperatorRequired

      See comparisonOperator.

      • GreaterThanOrEqualTo
        ComparisonOperatorRequired

        The GreaterThanOrEqualTo value.

      • GreaterThan
        ComparisonOperatorRequired

        The GreaterThan value.

      • LessThan
        ComparisonOperatorRequired

        The LessThan value.

      • LessThanOrEqualTo
        ComparisonOperatorRequired

        The LessThanOrEqualTo value.

    • emergencyLevel
      EmergencyLevelRequired

      See emergencyLevel.

      • Emergent
        EmergencyLevelRequired

        The Emergent value.

      • Important
        EmergencyLevelRequired

        The Important value.

      • Normal
        EmergencyLevelRequired

        The Normal value.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.